clear all
clc
f = 60;
omega = 2*pi*f;
V = 690*((2/3)^0.5);
J = 70;
T_l = 0;

p = 6; %number of poles
Xm = (2/3)*0.86;    %Single phase Magnetizing reactance
Xls = 0.05;   %Stator leakage reactance
Xlr = 0.047;   %Rotor leakage reactance
Rs = 0.002;   %Stator winding resistance
Rr = 0.0015; %Rotor resistance
Lm = Xm/omega; %Single phase magnetizing inductance
Lls = Xls/omega; %Stator leakage inductance
Llr = Xlr/omega; %Rotor leakage inductance
Ls = Lm + Lls; %Stator inductance
Lr = Lm + Llr; %Rotor inductance



   