clear all
clc
% Example 3-4 File Name EX3_4calc.m
% Induction Motor Parameters
Rs=0.002;
Rr=0.0015;
Xls=0.05;
Xlr=0.047;
Xm=0.86;
Jeq=70;
p=6;

% Steady State Operating Condition
f=60; VLLrms= 690; s=0.01;  % phase-a voltage is at its positive peak at t=0
Wsyn=2*pi*f;                                            % synchronous speed in electrical rad/s
Wm=(1-s)*Wsyn;                                          % rotor speed in electrical rad/s

% Calculation of machine inductances 
Ls = (Xls + Xm) / (2*pi*f);
Lm = Xm / (2*pi*f);
Lr = (Xlr + Xm) / (2*pi*f);
tau_r=Lr/Rr;

TL_0=0;
Wmech_0=0;
fl_sd_0=eps;
fl_sq_0=eps;
fl_rd_0=eps; 
fl_rq_0=eps;
thetar=0;