% File Name Plot_EX3_4.m to plot results in Example 3-4 using MATLAB


figure('Units','Normalized','Position',[.02 .54 .5 .35],'Name','Speed(RPM) vs Time(s)');
  figure(1)
  plot(SD2(:,1),SD2(:,3),'color',[0.5 0 0]);title('Speed(RPM) vs time(s)');xlabel('Time [s]'),ylabel('Speed [RPM]'),grid
   
     
  figure('Units','Normalized','Position',[.52 .54 .45 .35],'Name','Torque emitted(Nm) vs time(s)');
  figure(2)
  plot(SD2(:,1),SD2(:,2));title('Torque emitted(Nm) vs time(s)');xlabel('Time [s]'),ylabel('Torque [Nm]'),grid
  
  figure('Units','Normalized','Position',[.02 .24 .45 .35],'Name','Stator currents(A) vs time(s)'); 
  figure(3) 
  plot(0,0,'w',SD(:,1),SD(:,4),'-r',SD(:,1),SD(:,5),'-g',SD(:,1),SD(:,6),'-b');title('Stator Currents(A) vs time(s)','color','r');xlabel('Time [s]'),ylabel('Stator currents [A]'),grid
    
   
   figure('Units','Normalized','Position',[.52 .24 .45 .35],'Name','Rotor currents(A) vs time(s)');
   figure(4) 
   plot(0,0,'w',SD1(:,1),SD1(:,4),'-r',SD1(:,1),SD1(:,5),'-g',SD1(:,1),SD1(:,6),'-b');title('Rotor currents(A) vs time(s)','color','r');xlabel('Time [s]'),ylabel('Rotor currents [A]'),grid
    
  
  figure('Units','Normalized','Position',[.02 .09 .5 .35],'Name','Currents ids, iqs(A) vs time(s)');
  figure(5) 
   plot(0,0,'w',SD(:,1),SD(:,2),'-r',SD(:,1),SD(:,3),'-g');title('Currents ids, iqs(A) vs time(s)','color','r');xlabel('Time [s]'),ylabel('ids & iqs [A]'),grid
   
  
   figure('Units','Normalized','Position',[.52 .09 .45 .35],'Name','Currents idr, iqr(A) vs time(s)');
   figure(6) 
   plot(0,0,'w',SD1(:,1),SD1(:,2),'-r',SD1(:,1),SD1(:,3),'-g');title('Currents idr, iqr(A) vs time(s)','color','r');xlabel('Time [s]'),ylabel('idr & iqr [A]'),grid
   
